import sys
import unittest
import launchpad
from settings import *
from mock import *



class MergeProposalReviewTestCase(unittest.TestCase):
    review = None
    def setUp(self):
        mp = MagicMock()
        mp.web_link = 'http://my-example-url.com'
        self.review = launchpad.MergeProposalReview(mp)

    def test_is_unlocked(self):
        self.review.unlock()
        self.assertFalse(self.review.is_locked())

    def test_is_locked(self):
        self.review.lock()
        self.assertTrue(self.review.is_locked())

